Sybase Central Help

Version 4.3.0

DC37307-01-0430-02

October 2004


Copyright

Copyright © 1989–2004 Sybase, Inc. Portions copyright © 2001–2004 iAnywhere Solutions, Inc. All rights reserved.

No part of this publication may be reproduced, transmitted, or translated in any form or by any means, electronic, mechanical, manual, optical, or otherwise, without the prior written permission of iAnywhere Solutions, Inc. iAnywhere Solutions, Inc. is a subsidiary of Sybase, Inc.

Sybase, SYBASE (logo), AccelaTrade, ADA Workbench, Adaptable Windowing Environment, Adaptive Component Architecture, Adaptive Server, Adaptive Server Anywhere, Adaptive Server Enterprise, Adaptive Server Enterprise Monitor, Adaptive Server Enterprise Replication, Adaptive Server Everywhere, Adaptive Server IQ, Adaptive Warehouse, AnswerBase, Anywhere Studio, Application Manager, AppModeler, APT Workbench, APT-Build, APT-Edit, APT-Execute, APT-Library, APT-Translator, ASEP, AvantGo, AvantGo Application Alerts, AvantGo Mobile Delivery, AvantGo Mobile Document Viewer, AvantGo Mobile Inspection, AvantGo Mobile Marketing Channel, AvantGo Mobile Pharma, AvantGo Mobile Sales, AvantGo Pylon, AvantGo Pylon Application Server, AvantGo Pylon Conduit, AvantGo Pylon PIM Server, AvantGo Pylon Pro, Backup Server, BayCam, Bit-Wise, BizTracker, Certified PowerBuilder Developer, Certified SYBASE Professional, Certified SYBASE Professional Logo, ClearConnect, Client Services, Client-Library, CodeBank, Column Design, ComponentPack, Connection Manager, Convoy/DM, Copernicus, CSP, Data Pipeline, Data Workbench, DataArchitect, Database Analyzer, DataExpress, DataServer, DataWindow, DB-Library, dbQueue, Developers Workbench, Direct Connect Anywhere, DirectConnect, Distribution Director, Dynamic Mobility Model, Dynamo, e-ADK, E-Anywhere, e-Biz Integrator, EC Gateway, ECMAP, ECRTP, eFulfillment Accelerator, Electronic Case Management, Embedded SQL, EMS, Enterprise Application Studio, Enterprise Client/Server, Enterprise Connect, Enterprise Data Studio, Enterprise Manager, Enterprise Portal (logo), Enterprise SQL Server Manager, Enterprise Work Architecture, Enterprise Work Designer, Enterprise Work Modeler, eProcurement Accelerator, eremote, Everything Works Better When Everything Works Together, EWA, E-Whatever, Financial Fusion, Financial Fusion (and design), Financial Fusion Server, Formula One, Fusion Powered e-Finance, Fusion Powered Financial Destinations, Fusion Powered STP, Gateway Manager, GeoPoint, GlobalFIX, iAnywhere, iAnywhere Solutions, ImpactNow, Industry Warehouse Studio, InfoMaker, Information Anywhere, Information Everywhere, InformationConnect, InstaHelp, Intelligent Self-Care, InternetBuilder, iremote, iScript, Jaguar CTS, jConnect for JDBC, KnowledgeBase, Logical Memory Manager, Mail Anywhere Studio, MainframeConnect, Maintenance Express, Manage Anywhere Studio, MAP, M-Business Channel, M-Business Network, M-Business Server, MDI Access Server, MDI Database Gateway, media.splash, Message Anywhere Server, MetaWorks, MethodSet, ML Query, MobiCATS, My AvantGo, My AvantGo Media Channel, My AvantGo Mobile Marketing, MySupport, Net-Gateway, Net-Library, New Era of Networks, Next Generation Learning, Next Generation Learning Studio, O DEVICE, OASiS, OASiS logo, ObjectConnect, ObjectCycle, OmniConnect, OmniSQL Access Module, OmniSQL Toolkit, Open Biz, Open Business Interchange, Open Client, Open Client/Server, Open Client/Server Interfaces, Open ClientConnect, Open Gateway, Open Server, Open ServerConnect, Open Solutions, Optima++, Orchestration Studio, Partnerships that Work, PB-Gen, PC APT Execute, PC DB-Net, PC Net Library, PhysicalArchitect, Pocket PowerBuilder, PocketBuilder, Power Through Knowledge, power.stop, Power++, PowerAMC, PowerBuilder, PowerBuilder Foundation Class Library, PowerDesigner, PowerDimensions, PowerDynamo, Powering the New Economy, PowerJ, PowerScript, PowerSite, PowerSocket, Powersoft, Powersoft Portfolio, Powersoft Professional, PowerStage, PowerStudio, PowerTips, PowerWare Desktop, PowerWare Enterprise, ProcessAnalyst, QAnywhere, Rapport, Relational Beans, RepConnector, Replication Agent, Replication Driver, Replication Server, Replication Server Manager, Replication Toolkit, Report Workbench, Report-Execute, Resource Manager, RW-DisplayLib, RW-Library, S.W.I.F.T. Message Format Libraries, SAFE, SAFE/PRO, SDF, Secure SQL Server, Secure SQL Toolset, Security Guardian, SKILS, smart.partners, smart.parts, smart.script, SQL Advantage, SQL Anywhere, SQL Anywhere Studio, SQL Code Checker, SQL Debug, SQL Edit, SQL Edit/TPU, SQL Everywhere, SQL Modeler, SQL Remote, SQL Server, SQL Server Manager, SQL Server SNMP SubAgent, SQL Server/CFT, SQL Server/DBM, SQL SMART, SQL Station, SQL Toolset, SQLJ, Stage III Engineering, Startup.Com, STEP, SupportNow, Sybase Central, Sybase Client/Server Interfaces, Sybase Development Framework, Sybase Financial Server, Sybase Gateways, Sybase Learning Connection, Sybase MPP, Sybase SQL Desktop, Sybase SQL Lifecycle, Sybase SQL Workgroup, Sybase Synergy Program, Sybase User Workbench, Sybase Virtual Server Architecture, SybaseWare, Syber Financial, SyberAssist, SybMD, SyBooks, System 10, System 11, System XI (logo), SystemTools, Tabular Data Stream, The Enterprise Client/Server Company, The Extensible Software Platform, The Future Is Wide Open, The Learning Connection, The Model For Client/Server Solutions, The Online Information Center, The Power of One, TotalFix, TradeForce, Transact-SQL, Translation Toolkit, Turning Imagination Into Reality, UltraLite, UltraLite.NET, UNIBOM, Unilib, Uninull, Unisep, Unistring, URK Runtime Kit for UniCode, Versacore, Viewer, VisualWriter, VQL, Warehouse Control Center, Warehouse Studio, Warehouse WORKS, WarehouseArchitect, Watcom, Watcom SQL, Watcom SQL Server, Web Deployment Kit, Web.PB, Web.SQL, WebSights, WebViewer, WorkGroup SQL Server, XA-Library, XA-Server, and XP Server are trademarks of Sybase, Inc. or its subsidiaries.

All other trademarks are property of their respective owners.


Introduction to Sybase Central

This documentation provides basic information about Sybase Central.

Sybase Central is a tool for managing Sybase software. Each product is managed by a separate plug-in module. For information on managing a specific product, see the online help for its plug-in module, separate from this online help.


Sybase Central overview

Sybase Central is a tool for managing databases and related products. It helps you manage the objects in your servers, databases (tables, views, procedures, and so on), and tools.

Key features of Sybase Central:

  • Easy command access The File menu in Sybase Central automatically updates when you select an object, providing commands related directly to that object. You can also access these commands from the popup menu that appears when you right-click an object.

  • Task wizards If you want to add a new object, Sybase Central provides you with wizards that walk you through the task step by step.

  • Drag-and-drop functionality Sybase Central supports drag-and-drop functionality for many operations. For example, if you want to copy tables to a different database, you can simply click and drag them to that location.

  • Keyboard shortcuts Many commonly-used commands have keyboard shortcuts; these shortcuts are listed beside the command names in the menus.

    For more information, see Keyboard shortcuts.

  • Plug-in module support You can manage a variety of database products and tools by using plug-in modules. Each plug-in module provides its own online help, separate from this online help.

See also
  • Using Sybase Central
  • Managing plug-ins in Sybase Central


Using Sybase Central

Sybase Central is an easy-to-use graphical tool for managing databases and related products. All objects (such as tables, views, or procedures) are represented graphically in Sybase Central.

To view these objects, you can open (or expand) the various folders or containers displayed in Sybase Central by double-clicking them. When you select an object, commands for that object become available in two locations: in the File menu and in the popup menu that appears when you right-click the object.

Layout of the main window
Changing the appearance of Sybase Central
Options dialog
Navigating in panes
Selecting objects in panes
Refreshing the main window
Using the toolbar and status bar


Layout of the main window

The main Sybase Central window is split into two panes.

The left pane shows the object tree (a hierarchical view of objects, such as servers and databases). The left pane shows only the containers in the object tree; it does not show objects that are not containers of other objects. For example, the left pane may show a Columns folder (a container), but not the columns themselves because they are items, and appear in the right pane instead.

The right pane shows the contents of the currently selected container. You can change the appearance of both panes in the Options dialog (accessed through the Tools menu).

Once you connect to a database or server, you can administer it by navigating and selecting its objects in the main window.

See also
  • Changing the appearance of Sybase Central
  • Navigating in panes


Changing the appearance of Sybase Central

You can customize the appearance of Sybase Central with the Options dialog.

toggle To configure Sybase Central options

  1. From the Tools menu, choose Options.

    The Options dialog appears.

  2. Configure the various appearance options.

See also
  • Options dialog


Options dialog

The Options dialog for Sybase Central lets you configure basic appearance options. The Options dialog consists of two tabs: General and Chart.

Options dialog: General tab

The General tab of the Options dialog has the following components:

Tab placement Lets you configure the placement of the tabs in Sybase Central's right pane. For some plug-ins, there is only one tab. For other plug-ins, there are multiple tabs. You can select one of the following options for tab placement: Top, Bottom, Left, or Right. By default, tabs appear at the top of the right pane.

Fast Launcher The fast launcher is designed to reduce Sybase Central's startup time. When the fast launcher is turned on, the fast launcher process (scjview.exe for Sybase Central) starts when you log in. You can change the settings for the fast launcher on the Sybase Central Options dialog (opened by choosing Tools > Options in Sybase Central).

Note that the fast launcher process requires a significant amount of memory, and the impact on application startup time depends on your system configuration.

  • Enable fast launcher Select this option to turn on the fast launcher. The fast launcher is turned on by default. If you want to turn the fast launcher off, clear this checkbox. You must log out and log in again for these settings to take effect.

  • Configure Opens the Sybase Central Fast Launcher Configuration dialog where you can specify the TCP/IP port used by the fast launcher and set the inactivity timer.

    The fast launcher uses a TCP/IP port on your machine. If another program is already using this port, you can change the port number used by the fast launcher in this dialog.

    When the fast launcher is not used for the amount of time specified in the inactivity timer, it shuts down, which frees up memory for other applications. By default, the inactivity timer is set to never shut down.

Use Defaults Resets all settings on this tab to their defaults.

Options dialog: Chart tab

The Chart tab allows you to customize the chart. Not all plug-ins use the chart. The Chart tab of the Options dialog has the following components:

Update interval Lets you specify how frequently the chart is updated. You can move the slider to increase or decrease the time (in seconds), or you can type an exact value in the text box. The default update interval is 10 seconds.

Type Lets you choose how data is charted. Use the sample window to preview the options. You can choose from the following options: Point, Area, Line, or Bar chart. The default chart type is a Line chart.

Use Defaults Resets all settings on this tab to their defaults.

See also
  • Layout of the main window
  • Navigating in panes
  • Refreshing the main window
  • Selecting objects in panes


Navigating in panes

In the left and right panes, there are several ways to navigate through the object tree.

You can open a container by double-clicking it. This expands the container so that the left pane shows its containers, and the right pane shows its contents.

Alternatively, click the Collapse/Expand button to the left of the container.

To close an open container, double-click it (or click its Collapse/Expand button in the left pane).

You can also move up in the object tree by choosing objects in the dropdown box (above the left pane). This is useful when the part of the tree that you want to select has scrolled out of sight.

You can also use the arrow keys to navigate through the object tree.

See also
  • Layout of the main window
  • Selecting objects using the keyboard
  • Selecting objects in panes
  • Refreshing the main window
  • Using the toolbar and status bar

Keyboard shortcuts


Keyboard shortcuts

Sybase Central provides the following keyboard shortcuts.

Function key | Description
Alt+Enter | Opens the Properties dialog for the selected item.
Ctrl+C | Copies the selection to the clipboard.
Ctrl+V | Inserts the clipboard contents.
Ctrl+X | Cuts the selection and moves it to the clipboard.
Delete | Deletes the selection.
F1 | Opens the Sybase Central help.
F5 | Refreshes the contents of the selected folder.
F9 | Opens the Connection Profiles dialog.
F11 | Opens the New Connection dialog.
F12 | Disconnects when there is only one connection in Sybase Central. When there is more than one connection, pressing F12 opens the Disconnect dialog where you can select the connection you wish to disconnect.


Selecting objects in panes

In either pane, clicking an object selects that object. If you select a container in the left pane, the right pane shows its contents. In the left pane, you can only select one object at a time. In the right pane, you can select several objects at a time by holding the Shift button while you click.

Right-clicking an object displays a popup menu of commands for that object.

See also
  • Layout of the main window
  • Navigating in panes

Selecting objects using the keyboard


Selecting objects using the keyboard

You can use the arrow keys to select objects in the object tree.

In the left pane:

  • The up/down keys move up and down in the list of containers.

  • The right/left keys open and close the selected container.

  • Type the name of the object to select it.

In the right pane:

  • The up/down keys move up and down in the list of objects.

  • The right/left keys scroll the pane.

  • The Enter key opens or closes the selected container.

See also
  • Navigating in panes
  • Selecting objects in panes


Refreshing the main window

Products managed from Sybase Central may support concurrent access. This means that another user could change the structure of the object tree while you are examining it in Sybase Central.

To ensure that you are always viewing the most up to date information, Sybase Central provides the following two refresh commands in the View menu.

  • Refresh Folder refreshes your view of the currently expanded container. You can also press F5 to refresh the folder.

  • Refresh All refreshes your view of all expanded containers.

These commands query Sybase Central and its plug-ins to get up-to-date information.


Using the toolbar and status bar

Sybase Central provides both a toolbar and a status bar to help you with your tasks.

Toolbar

The main window toolbar provides you with buttons for common commands. To show or hide the toolbar, choose Toolbar from the View menu. With the main toolbar, you can:

  • Navigate through the object tree.

  • Connect to or disconnect from a database, server, or product plug-in module.

  • Access the Connection Profiles dialog (also accessible from the Tools menu).

  • Refresh the view of the current folder.

  • Cut, copy, paste, or delete objects.

  • Undo or redo actions.

  • View the property sheet for a selected object.

As an easy reminder of what these buttons do, you can hold your cursor over each button to see a popup description.

Status bar

The status bar, which appears at the bottom of the main window, shows a brief summary of menu commands as you navigate through the menus. To show or hide the status bar, choose View > Status Bar.


Managing Plug-ins

This chapter provides information on the use and implementation of plug-ins.


Sybase Central's plug-in architecture

You can use Sybase Central as your common application for managing various Sybase products. The plug-ins for these products must be registered and loaded before you can use the product in Sybase Central. In most cases, when you install the product its plug-in is automatically registered and loaded.

For special situations, you can also manually register the plug-ins that appear in Sybase Central.


Managing plug-ins in Sybase Central

In most cases, you never have to manage the plug-in yourself. If you install a product that comes with a Sybase Central plug-in, it is automatically registered with Sybase Central and appears in your next Sybase Central session.

The Sybase Central Plug-ins dialog lets you manage all of your plug-ins. In this dialog, you can do the following:

  • Search for and register new plug-ins.

  • Load and unload existing plug-ins. Loaded plug-ins are active and ready for use in Sybase Central. Unloaded plug-ins are dormant and unusable until you load them again; they remain listed in the dialog, but are not visible in the main Sybase Central window.

  • Edit plug-in properties. For example, you can add directory paths (such as for additional JAR files or classes) to the plug-in classpath.

All registered plug-ins (both loaded and unloaded) are listed in the Sybase Central Plug-ins dialog with a detailed description.

Tip
Sybase Central has its own version number, separate from the plug-in version numbers. To see Sybase Central's version number or a plug-in's version number, choose Help > About Sybase Central.

Registering a plug-in
Loading and unloading existing plug-ins
Editing plug-in properties
Plug-in-related dialog descriptions


Registering a plug-in

If you want to register an additional plug-in, you can do so by specifying the plug-in registration file or the plug-in JAR file.

toggle To register a new plug-in

  1. In Sybase Central, choose Tools > Plug-ins.

  2. Click Register.

    The Register a Plug-In wizard appears.

  3. Follow the instructions in the wizard.

Register a Plug-In wizard


Register a Plug-In wizard

The Register a Plug-In wizard consists of three pages: Plug-in Registration, Plug-in Loading, and Plug-in Directory Paths.

Register a Plug-In wizard: Plug-in registration page

The Plug-in registration of the Register a Plug-In wizard has the following components:

Register a plug-in by specifying a plug-in registration file Select this option if you know the name of the plug-in registration (.jpr) file, and enter the path and file name. The .jpr file contains the name and location of the plug-in .jar file and the classpath information.

You can also click Browse to locate the .jpr file.

Register a plug-in by specifying a JAR or class file Select this option if you cannot specify a .jpr file name, and enter the path and file name. With this method, you may need to enter a classpath at a later step.

You can also click Browse to locate the file.

Tips
In the Register a Plug-in wizard, you can choose to automatically load the plug-in when you start Sybase Central.

After you register a plug-in, you can add additional Java class files or JAR files to the plug-in's classpath on its property sheet.

Register a Plug-In wizard: Plug-in loading page

The Plug-in Loading page of the Register a Plug-In wizard has the following components:

Automatically load on startup Select this option if you want this plug-in to be loaded automatically when Sybase Central starts.

Use class loader Select this option if you want this plug-in to be loaded with its own class loader. When you select this option, the plug-in's classes do not have to be located in the system classpath.

Register a Plug-In wizard: Plug-in directory paths page

The Plug-in Directory Paths page of the Register a Plug-In wizard has the following components:

Directory paths box Specify any additional directory paths that need to be added to the classpath when loading this plug-in. The directory paths must be listed one per line.


Loading and unloading existing plug-ins

All registered plug-ins appear in a list in the Sybase Central Plug-ins dialog. They can be in one of two states: loaded or unloaded.

Loaded plug-ins are active and ready for use in Sybase Central. If you have multiple loaded plug-ins, Sybase Central prompts you to specify one when you try to connect.

Unloaded plug-ins are dormant and unusable until you load them again; they remain listed in the dialog, but are not visible in the main Sybase Central window. If there is only one plug-in that you commonly use, it may be helpful to unload all others. This way, they remain listed in the Sybase Central Plug-ins dialog, but Sybase Central does not prompt you to make a plug-in choice each time you try to connect to a database. If you connect using a connection profile, you are not prompted for a plug-in choice.

If you change the properties of a plug-in, you may need to unload it and then reload it again for the changes to take effect. Sybase Central notifies you if this is the case.

toggle To load a registered plug-in

  1. In Sybase Central, choose Tools > Plug-ins.

  2. Select the plug-in and click Load.

toggle To unload a registered plug-in

  1. In Sybase Central, choose Tools > Plug-ins.

  2. Select the plug-in and click Unload.

Changes in plug-in status are updated in the Sybase Central Plug-ins dialog list.

See also
  • Sybase Central's plug-in architecture
  • Register a Plug-In wizard
  • Plug-in-related dialog descriptions


Editing plug-in properties

For any registered plug-in, you can use the Properties dialog to specify startup options and add paths to the current classpath (the set of locations of the required classes for the plug-in).

toggle To edit the properties of a registered plug-in

  1. In Sybase Central, choose Tools > Plug-ins.

  2. Select the plug-in and then click Properties.

    The Plug-in property sheet appears.

  3. Configure the appropriate properties.


Plug-in-related dialog descriptions

When you work with plug-ins, a number of dialogs allow you to configure various settings and controls.


Sybase Central Plug-ins dialog

The Sybase Central Plug-ins dialog allows you to configure plug-in settings and register new plug-ins. The Sybase Central Plug-ins dialog has the following components:

Plug-ins list Lists and describes each plug-in currently registered with Sybase Central. Note that Sybase Central has its own version number that may be different from the version number listed for the plug-ins.

Register Displays the Register a Plug-In wizard, which lets you register a new plug-in by specifying a plug-in registration file or a JAR file. In this wizard, you can also type additional directory paths to add to the plug-in's classpath (the set of locations of the required classes for the plug-in).

The Register button is disabled if the .scRepository file is read-only. On a multi-user operating system, the System Administrator is responsible for registering new plug-ins and you may not have permission to write to this file.

Unregister Allows you to unregister a plug-in from Sybase Central. Once a plug-in has been unregistered, it cannot be used unless it is registered again.

The Unregister button is disabled if the .scRepository file is read-only. On a multi-user operating system, the System Administrator is responsible for unregistering plug-ins and you many not have permission to write to this file.

Load Loads the selected plug-in for use.

Unload Unloads the selected plug-in. Unloaded plug-ins are dormant and unusable until you load them again; they remain listed in the dialog, but are not visible in the main Sybase Central window. If there is only one plug-in that you commonly use, it may be helpful to unload all others.

Properties Displays the Plug-in Properties dialog, which lets you set startup options and add additional paths to the current classpath.

See also
  • Register a Plug-In wizard
  • Editing plug-in properties
  • Plug-in property sheet


Plug-in property sheet

The Plug-in property sheet lets you configure the properties of the selected plug-in. The Plug-in property sheet consists of two tabs: General and Advanced.

Plug-in property sheet: General tab

The General tab of the Plug-in property sheet has the following components:

Name Shows the name of the selected plug-in.

Type Shows the type of the selected object.

Plug-in classpath Shows the classpath of the current plug-in. A classpath is the set of locations of the required classes for the plug-in. You can click the Browse button to search for a new entry in the classpath.

Load on startup Specifies whether the plug-in loads automatically when you start Sybase Central. If you do not select this option, you need to manually load the plug-in each time you start Sybase Central.

The Plug-in Classpath field is read-only if the .scRepository file is read-only. On a multi-user operating system, the System Administrator is responsible for plug-in changes and you may not have permission to write to this file.

See also
  • Editing plug-in properties
  • Sybase Central Plug-ins dialog
  • Register a Plug-In wizard
Plug-in property sheet: Advanced tab

The Advanced tab of the Plug-in property sheet has the following components:

Load plug-in with a separate class loader Lets you specify additional paths to add to the current classpath. When this option is selected, the field below is editable.

Additional classpaths field Lets you enter additional paths to add to the current classpath. You can type the path or search for a path by clicking Browse. If you are entering more than one path, each one must be entered on a separate line.

The Additional Classpaths field is read-only if the .scRepository file is read-only. On a multi-user operating system, the System Administrator is responsible for plug-in changes and you may not have permission to write to this file.

See also
  • Editing plug-in properties
  • Sybase Central Plug-ins dialog
  • Register a Plug-In wizard


New Connection dialog

The New Connection dialog lets you choose a plug-in for your connection. The New Connection dialog has the following components:

Choose a plug-in for the new connection Select the plug-in you want to use from the list.

If the plug-in does not appear in the list, it may not be registered or it may not be loaded.

For more information, see Managing plug-ins in Sybase Central.

Tip
You can make subsequent connections easier and faster by using a connection profile.
See also
  • Managing Connection Profiles

The documentation on connections for your plug-in


Disconnecting

If you choose Tools > Disconnect when only one connection is open, the connection disconnects immediately, without prompting you.

If you choose Tools > Disconnect when more than one connection is open, the Disconnect dialog appears.

toggle To disconnect using the Disconnect dialog

  1. Select a connection from the list.

    You can select more than one connection by holding Shift while you click the connection names.

  2. Click Disconnect.

Disconnect dialog


Disconnect dialog

The Disconnect dialog has the following components:

Connections list Lists all the connections to Sybase Central, including the Connection Name, Description, and Plug-in Name. Select a connection from the list and click Disconnect to disconnect the connection. You can select multiple connections by holding Shift while you click.

Disconnect Disconnects the selected connection.

See also
  • Disconnecting


Managing Connection Profiles

This chapter includes information on the set-up and use of connection profiles.

Connection profile overview
Creating a new connection profile
Connecting using a profile
Editing a connection profile
Setting profiles to connect at startup
Deleting connection profiles


Connection profile overview

When you first connect to a server or database, you typically enter a user name, password, and other optional connection parameters.

To make subsequent connections easier and faster, you can create a connection profile that saves a group of parameters under a name that you supply. From then on, you can use that profile to connect to the object in one step.

To use and manage connection profiles, choose Tools > Connection Profiles. This command opens the Connection Profiles dialog, where you can:

  • Create a new connection profile

  • Connect using a profile

  • Edit an existing profile

  • Set a profile to connect automatically when Sybase Central is started

  • Delete (or remove) profiles

Note
Connection profiles are specific to Sybase Central. If you are building an ODBC application, you can achieve functionality similar to connection profiles using ODBC data sources.


Creating a new connection profile

toggle To create a new connection profile

  1. In Sybase Central, choose Tools > Connection Profiles.

  2. Click New.

  3. In the New Profile dialog, enter a name for the new profile and choose the appropriate plug-in. The plug-in is the product, such as Adaptive Server Anywhere or MobiLink.

  4. If desired, allow other users to access the profile by selecting Create Profiles So That All Users Can Access It. This is useful on multi-user platforms such as UNIX.

  5. Click OK.

  6. In the Connect dialog, enter the desired values.

See also
  • Connection profile overview
  • Connection Profiles dialog
  • New Profile dialog
  • Connecting using a profile
  • Editing a connection profile
  • Setting profiles to connect at startup
  • Deleting connection profiles


Connection Profiles dialog

The Connection Profiles dialog lets you view and edit connection profiles (named sets of connection parameters, such as user name, password, and server name). The Connection Profiles dialog has the following components:

Connection profiles list Lists and describes all currently-defined connection profiles. To connect, select a profile and click the Connect button, or double-click the profile.

Connect Connects using the selected profile.

New Opens the New Profile dialog, which lets you create a new connection profile.

Edit Opens the Edit Connection Profile dialog, which lets you edit the selected connection profile.

Delete Deletes the selected profile. Sybase Central prompts you to continue if you click this button.

Set Startup Toggles the automatic startup option for the selected profile (the value in the Use On Startup column in the connection profiles list). When this option is turned on, the profile is automatically used each time Sybase Central is started.

See also
  • Connection profile overview
  • Connection Profiles dialog
  • New Profile dialog
  • Connecting using a profile
  • Editing a connection profile
  • Setting profiles to connect at startup
  • Deleting connection profiles


New Profile dialog

The New Profile dialog has the following components:

Name Type a new for the new connection profile.

Create profile so that all users can access it Select this option if you want to allow other users to access the connection profile.

New profile Select this option if you do not want to base the new connection profile on an existing profile.

  • Plug-in Select the plug-in type from the dropdown list.

Copy profile Select this option if you want to copy an existing connection profile.

  • Existing profiles list Lists all existing connection profiles by name and plug-in type.

See also
  • Connection profile overview
  • Connection Profiles dialog
  • Connecting using a profile
  • Editing a connection profile
  • Setting profiles to connect at startup


Connecting using a profile

toggle To connect to a server or database using an existing connection profile

  1. In Sybase Central, choose Tools > Connection Profiles.

  2. Select a profile and click Connect.

    Once you connect to a server or database, its icon appears in the Sybase Central main window.

See also
  • Connection profile overview
  • Connection Profiles dialog
  • Editing a connection profile


Editing a connection profile

toggle To edit the parameters of an existing connection profile

  1. In Sybase Central, choose Tools > Connection Profiles.

  2. Select a profile.

  3. Click Edit.

    The Edit Connection Profile dialog appears.

  4. In the Edit Connection Profile dialog, edit the desired values.

See also
  • Connection profile overview
  • Connecting using a profile
  • Setting profiles to connect at startup


Setting profiles to connect at startup

toggle To connect automatically upon start-up of Sybase Central

  1. In Sybase Central, choose Tools > Connection Profiles.

  2. Select a profile.

  3. Click Set Startup to change the current setting.

    In the Use On Startup column, the value toggles between Yes and No.

The next time you start Sybase Central, this profile automatically connects to the database. There are no restrictions on the number of automatic connections that you can have.

See also
  • Connection profile overview
  • Connection Profiles dialog
  • New Profile dialog
  • Connecting using a profile
  • Editing a connection profile
  • Deleting connection profiles


Deleting connection profiles

toggle To delete one or more connection profiles

  1. In Sybase Central, choose Tools > Connection Profiles.

  2. Select a profile.

  3. Click Delete.


Using the Code Editor

This chapter provides information on the use of the Code Editor.

Code Editor overview
Using the Code Editor toolbar and status bar
Code Editor keyboard shortcuts
Customizing the Code Editor display
Options dialog
Finding and replacing text in the Code Editor
Find/Replace dialog
Opening files in the Code Editor
Saving code
Printing code


Code Editor overview

The Code Editor allows you to display, edit, and print code and messages. It is used by many of the Sybase Central plug-ins. Beyond the standard text editing functions, the Code Editor provides:

  • a toolbar and status bar

  • automatic syntax highlighting

  • language-sensitive indenting

  • the ability to find and replace text

  • the ability to open from and save to files (the availability of this functionality depends on the plug-in you are using)

  • the ability to print the code

For a list of keyboard shortcuts that can be used in the Code Editor, see Code Editor keyboard shortcuts.

See also
  • Using the Code Editor toolbar and status bar
  • Customizing the Code Editor display
  • Finding and replacing text in the Code Editor
  • Saving code
  • Opening files in the Code Editor
  • Printing code


Using the Code Editor toolbar and status bar

The Code Editor provides both a toolbar and a status bar to help you with your tasks.

Code Editor toolbar

The Code Editor toolbar provides you with buttons for common commands. With the buttons on this toolbar, you can:

  • Create, open, save, and print files (note that the option to open and save files depends on the plug-in you are using)

  • Undo and redo changes

  • Cut, copy, paste, and delete selected text

  • Find/replace text in the current document

As an easy reminder of what these buttons do, you can hold your cursor over each button to see a pop-up description.

Code Editor status bar

At the bottom of the Code Editor dialog, the status bar shows the following:

  • a summary of menu commands as you navigate through the menus

  • the current line number and column number

See also
  • Code Editor overview
  • Customizing the Code Editor display
  • Printing code
  • Finding and replacing text in the Code Editor
  • Saving code
  • Opening files in the Code Editor


Code Editor keyboard shortcuts

Sybase Central provides the following keyboard shortcuts for the Code Editor.

Function key | Description
Backspace | Deletes the selection. If nothing is selected, this deletes the character to the left of the cursor.
Ctrl+] | Moves the cursor to the matching brace. Brace matching matches parentheses, braces, brackets, and angle brackets.
Ctrl+A | Selects the entire contents of the Code Editor window.
Ctrl+Backspace | Deletes the word to the left of the cursor.
Ctrl+Del | Deletes the word to the right of the cursor.
Ctrl+End | Moves the cursor to the end of the Code Editor window.
Ctrl+F | Finds the specified text.
Ctrl+F3 | Finds the next occurrence of the currently-selected text.
Ctrl+G | Opens the Go To dialog where you can specify the location you want to go to.
Ctrl+Home | Moves the cursor to the top of the Code Editor window.
Ctrl+L | Deletes the current line.
Ctrl+Left Arrow | Moves the cursor back one word.
Ctrl+Right Arrow | Moves the cursor forward one word.
Ctrl+Shift+] | Extends the selection to the matching brace. Brace matching matches parentheses, braces, brackets, and angle brackets.
Ctrl+Shift+End | Extends the selection to the end of the code.
Ctrl+Shift+F3 | Find the previous occurrence of the currently-selected text.
Ctrl+Shift+Home | Extends the selection to the beginning of the code.
Ctrl+Shift+L | Deletes the current line.
Ctrl+Shift+Left Arrow | Extends the selection back one word.
Ctrl+Shift+Right Arrow | Extends the selection forward one word.
Ctrl+Shift+U | Changes the selection to uppercase characters.
Ctrl+U | Changes the selection to lowercase characters.
Ctrl+V | Inserts the Clipboard contents at the current cursor location.
Ctrl+Y | Redoes the most recently undone action.
Ctrl+Z | Undoes the last action.
Delete | Deletes the selection.
Down Arrow | Moves the cursor down one line.
End | Moves the cursor to the end of the current line.
F3 | Opens the Find/Replace dialog where you can search for and replace the specified text if no text is selected. If text is selected, finds the next occurrence of the selected text.
Home | Move the cursor to the start of the current line or to the start of the text on the current line.
Left Arrow | Moves the cursor one character to the left.
Page Down | Moves the cursor to the end of the current page.
Page Up | Moves the cursor to the top of the current page.
Right Arrow | Moves the cursor one character to the right.
Shift+Down Arrow | Extends the selection down one line.
Shift+End | Selects the current line.
Shift+F3 | Opens the Find/Replace dialog where you can search for and replace the specified text if no text is selected. If text is selected, finds the previous occurrence of the selected text.
Shift+Home | Extends the selection to the start of the text on the current line.
Shift+Left Arrow | Extends the selection one character to the left of the currently selected character(s).
Shift+Page Down | Extends the selection down one page.
Shift+Page Up | Extends the selection up one page.
Shift+Right Arrow | Extends the selection one character to the right of the currently selected character(s).
Shift+Up Arrow | Extends the cursor up one line.
Up Arrow | Moves the cursor up one line.


Customizing the Code Editor display

You can customize the display characteristics of the Code Editor using the Options dialog. This dialog lets you change settings for the foreground and background tabs, as well as the overall Code Editor appearance. All changes you make persist between sessions.

toggle To set Code Editor display settings

  1. In the Code Editor, choose Tools > Options.

    or

    Right-click anywhere in the Code Editor and choose Options from the popup menu.

  2. Configure the settings on the various tabs.

Tip
For a description of all the controls in this dialog, see Options dialog.
See also
  • Code Editor overview
  • Using the Code Editor toolbar and status bar


Options dialog

The Options dialog lets you change display settings for the Code Editor. Because the Code Editor can be used by multiple Sybase plug-ins, some of these settings may not apply to the type of code you're editing. Any changes you make to the display settings for the Code Editor apply to the Code Editor, regardless of where they are set. For example, if you change Code Editor settings from Sybase Central, those same settings will apply to the Code Editor when it is opened from a plug-in.

The Options dialog consists of four tabs: Editor, Tabs, Format, and Print.


Options dialog: Editor tab

The Editor tab of the Options dialog has the following components:

Vertical scroll bar Shows or hides a vertical scroll bar when the window is too small to contain all the text.

Horizontal scroll bar Shows or hides a horizontal scroll bar when the window is too small to contain all the text.


Options dialog: Tabs tab

The Tabs tab of the Options dialog has the following components:

Tab size Lets you set the tab size (in number of spaces).

Indent size Lets you set the size of indents (in number of spaces).

Insert spaces Inserts n spaces when you press Tab instead of inserting one tab character. The value for n will be between one and the number of indent size spaces, depending on how many spaces are required to move the cursor forward to the next tab stop.

Keep tabs Inserts a tab character into the document and moves the cursor forward to the next tab stop when you press Tab.

Auto indent options Lets you set the auto indent feature. You have the following options:

  • None disables the feature.

  • Default uses the tab and indent sizes that are set.

  • Smart uses previous lines of code as a guideline for indenting open and closing braces.

    • Indent opening brace Select this option if you wish opening braces to be indented. This option is enabled when the Smart option is selected.

    • Indent closing brace Select this option if you wish closing braces to be indented. This option is enabled when the Smart option is selected.

Sample The Sample field shows an example of how code is formatted based on the options you choose for indenting opening and closing braces.


Options dialog: Format tab

The Format tab of the Options dialog has the following components:

Text highlighting options Lets you specify the color and style of different types of text in the main editing window. Choose a type of text and then use the controls below to set options for that type's foreground, background, and style. Foreground refers to the color of the text and background refers to the color of the screen behind the text.

Font Size Lets you specify the point size of the text that appears in the Code Editor window. The point size must be a value between 1 and 1 000.

Caret color Lets you specify the color of the blinking on-screen cursor indicator.

Sample Shows an updated sample of the text with the settings you configure above.

Reset All Returns all settings to their default values.


Options dialog: Print tab

The Print tab of the Options dialog has the following components:

Header Lets you specify what information appears in the header, as well as how it is formatted, when you print the contents of the Code Editor window. The header text is left aligned by default. Press the > button for a list of available options.

Footer Lets you specify what information appears in the footer, as well as how it is formatted, when you print the contents of the Code Editor window. The footer text is left aligned by default. Press the > button for a list of available options.

  • > button Pressing the > button lets you choose from the following options for the header or footer:

    • File Name

    • File Time

    • File Date

    • Page Number

    • Page Count

    • Current Time

    • Current Date

    • Left Align

    • Center

    • Right Align

    The items that you select do not all have to have the same alignment. For example, you can choose to left align the file name and right align the date in the header. By default, all text in the header and footer is left aligned. You must specify the alignment before the type of text. For example, if you want the file name to be centered in the header, type &C&F in the Header field, or press the > button and select the Center option and then press the > button again and select the Filename option.

    In addition to specifying these options, you can type text that you want to appear in the header and footer fields. For example, if you type Page &P of &p in the Footer field, Page 1 of 1 appears in the footer of the printed document.

Font Size Lets you select the font point size for the printed text, including the header, the footer, and the contents of the Code Editor window.

See also
  • Printing code
  • Code Editor overview
  • Customizing the Code Editor display


Finding and replacing text in the Code Editor

toggle To search for specific text in the Code Editor window

  1. In the code, position the cursor where you want to start the search.

  2. Choose Search > Find Next or press F3.

  3. Enter the text in the Find field and optionally specify other search parameters.

  4. Click Find.

toggle To replace specific text in the Code Editor window

  1. In the code, position the cursor where you want to start the search.

  2. Choose Search > Find/Replace or press Ctrl+F.

  3. Enter the text you want to search for in the Find field, and enter the text you want inserted as a replacement in the Replace field.

  4. Specify any other desired values.

  5. Click Replace or Replace All.

Tips
You can also access the Find/Replace dialog by clicking its icon on the toolbar.

For a description of all the controls in this dialog, see the Find/Replace dialog description.


Find/Replace dialog

The Find/Replace dialog lets you enter text that you want to search for and/or replace, as well as choose optional search settings. The Find/Replace dialog has the following components:

Find Type the text you want to search for.

Replace Type the text you want inserted as a replacement.

Search Direction options Let you determine the direction of the search. The Up option searches from your current cursor position in the code to the beginning of the code. The Down option searches from your current cursor position to the end of the code.

Match Case Finds the text only where it exactly matches the upper- and lower-case text that you type in the Find field.

Whole Word Finds the text only where it occurs as a separate word.

Look In Selection Searches only within selected text.

Find button Starts the search for the specified text.

Replace button Replaces the first occurrence of found text with the new text.

Replace All button Replaces every occurrence of the found text with the new text.

See also
  • Code Editor overview
  • Finding and replacing text in the Code Editor


Opening files in the Code Editor

If you have code stored as a text file on your system, you can load it directly into the Code Editor.

Note

Support for opening files in the Code Editor depends on the plug-in you are using. Not all plug-ins support opening files in the Code Editor.

toggle To open a text file in the Code Editor

  1. From the Code Editor File menu, choose Open.

  2. Locate the desired file. Select it and click OK.

    The text loaded from the file replaces any existing text in the Code Editor window.


Saving code

When you're finished editing your code in the Code Editor, you can save it. If you save the code in an external file, it can be reused elsewhere (for example, in another application).

Note

Support for saving code to an external file in the Code Editor depends on the plug-in you are using. Not all plug-ins support saving code to an external file from the Code Editor.

toggle To save the current code

  1. In the Code Editor, choose File > Save.

  2. If the Save As dialog appears, specify a location and name for the new file.


Printing code

You can print code directly from the Code Editor.

toggle To print the current contents of the Code Editor window

  • In the Code Editor, do one of the following:

    • Choose File > Print.

    • On the toolbar, click the Print button.

    This opens the standard print dialog.


Using the Log Viewer

This chapter provides information on the use of the Log Viewer.

Log Viewer overview
Opening the Log Viewer
Using the Log Viewer
Configuring the message list
Filter dialog
Viewing details for individual messages
Searching for log entries
Find dialog
Saving log entries


Log Viewer overview

The Log Viewer stores and displays messages. It displays the following types of messages:

  • Information Basic information about your current session.

  • Warning Warning messages about actions that have occurred.

  • Error Error messages about actions that have failed.

You can filter these messages to show only a certain type or number, or choose to show only messages from a particular plug-in. You can also save messages to a file or clear all messages from the list.

See also
  • Opening the Log Viewer
  • Using the Log Viewer
  • Configuring the message list


Opening the Log Viewer

When you are working in Sybase Central, you can access the Log Viewer through the View menu.

toggle To open the Log Viewer

  • In Sybase Central, choose Tools > Log Viewer.

    The Sybase Central Log viewer appears, showing the current messages (if any exist).

See also
  • Using the Log Viewer
  • Configuring the message list
  • Viewing details for individual messages
  • Searching for log entries
  • Saving log entries


Using the Log Viewer

Using the Log Viewer

The Log Viewer is a dialog that lists product messages (error, warning, and/or information). The Log Viewer has the following columns:

  • Date Shows the date when the log entry was created.

  • Time Shows the time when the log entry was created.

  • Source Shows a string representing the name of the provider that created the log entry.

  • Short Message Describes the log entry.

You can change the size of the columns by dragging the dividers between the headings.

See also

Opening the Log Viewer

Configuring the message list

Viewing details for individual messages

Searching for log entries

Saving log entries


Configuring the message list

You can configure the order of the messages in the Log Viewer, or you can restrict (or filter) the number of messages that appear. You can also clear all messages from the list.

toggle To show all messages

  • In the Log Viewer, choose View > All Events.

toggle To clear all messages

  • In the Log Viewer, choose Log > Clear All Events.

toggle To set the order of the messages

  • In the Log Viewer, choose one of the following options from the View menu:

    • Choose Newest First to order the messages starting with the most recent.

    • Choose Oldest First to order the messages starting with the least recent.

toggle To filter the messages

  1. In the Log Viewer, choose View > Filter Events.

    The Filter dialog appears.

  2. Configure the desired options.

See also
  • Filter dialog


Filter dialog

The Filter dialog (accessed by choosing View > Filter Events in the Log Viewer) lets you configure the way you want to filter messages in the Log Viewer.

The Filter dialog has the following components:

View Lets you configure the way you view messages. You have the following options:

  • All Select this option if you want the viewer to show all messages. This is the default.

  • First Select this option if you want the viewer to show only the oldest messages it encountered, in the amount that you specify in the box to the right.

  • Last Select this option if you want the viewer to show only the most recent messages it encountered, in the amount that you specify in the box to the right.

Type Lets you configure the type of messages you want to appear. You can view only one type, or any combination of types. To select a type, click the name. A type is selected when its button appears to be pushed in. By default, all message types are selected.

  • Information Sets the viewer to show or hide information messages.

  • Warning Sets the viewer to show or hide warning messages.

  • Error Sets the viewer to show or hide error messages.

Source Lets you display messages from only one plug-in. If you choose All (the default), messages from all plug-ins are displayed. To choose only one plug-in, enter the plug-in name from the Log Viewer's Source column. Note that this field is case sensitive.

Clear Clears all of the settings in the dialog and resets the options to their default settings. The View command reverts to All, and the Type commands revert to all selected.

See also
  • Configuring the message list
  • Log Viewer overview
  • Using the Log Viewer


Viewing details for individual messages

If the Short Message column of the Log Viewer does not provide enough information on a particular message, you can view additional details.

toggle To view message details

  1. Select a message in the Log Viewer.

  2. Choose View > Detail.

See also
  • Opening the Log Viewer
  • Using the Log Viewer
  • Configuring the message list


Searching for log entries

The Log Viewer provides a Find feature, which lets you search for specific messages.

toggle To search for messages

  1. In the Log Viewer, choose View > Find.

    The Find dialog appears.

  2. Configure options for the search.

  3. Click Find Next.

See also
  • Find dialog
  • Opening the Log Viewer
  • Using the Log Viewer
  • Configuring the message list
  • Viewing details for individual messages
  • Saving log entries


Find dialog

The Find dialog lets you search for specific messages. The Find dialog has the following components:

Type Lets you configure the type of messages you want included in the search parameters. You can include one type of message or any combination of messages. To select a type, click the name. A type is selected when its button appears to be pushed in.

  • Information Includes or excludes information messages in the search parameters.

  • Warning Includes or excludes warning messages in the search parameters.

  • Error Includes or excludes error messages in the search parameters.

Source Lets you search for messages from a specific plug-in or all plug-ins. If you choose All (the default), messages from all plug-ins appear in the Log Viewer. To choose only one plug-in, enter the plug-in name from the Log Viewer's Source column. Note that this field is case sensitive.

Clear Clears the settings in the dialog. The Type commands revert to all enabled.

Direction commands Lets you determine the direction of the search. The Up option searches upward from your cursor position for the types of messages you specify. The Down option searches downward from your cursor position.

See also
  • Searching for log entries
  • Log Viewer overview
  • Using the Log Viewer


Saving log entries

You can save log entries to a separate text file to keep them available after you close your current Sybase Central session.

toggle To save messages

  1. In the Log Viewer, choose Log > Save As.

  2. Specify a location and name for the new file.

See also
  • Opening the Log Viewer
  • Using the Log Viewer
  • Configuring the message list
  • Viewing details for individual messages
  • Searching for log entries


Please choose subentry

Please choose a subentry

To view a topic related to this index entry, double-click one of the subentries.


How To...

Filter Reset Toggle headings

To configure Sybase Central options

To register a new plug-in

To load a registered plug-in

To unload a registered plug-in

To edit the properties of a registered plug-in

To disconnect using the Disconnect dialog

To create a new connection profile

To connect to a server or database using an existing connection profile

To edit the parameters of an existing connection profile

To connect automatically upon start-up of Sybase Central

To delete one or more connection profiles

To set Code Editor display settings

To search for specific text in the Code Editor window

To replace specific text in the Code Editor window

To open a text file in the Code Editor

To save the current code

To print the current contents of the Code Editor window

To open the Log Viewer

To show all messages

To clear all messages

To set the order of the messages

To filter the messages

To view message details

To search for messages

To save messages